<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

if (!function_exists('wpdocs_selectively_enqueue_admin_script')) {
    function wpdocs_selectively_enqueue_admin_script($hook)
    {
        $versao = 1;

        wp_enqueue_style('custom-cbm2-css', plugin_dir_url('altimus') . '/altimus/assets/css/cbm2.css', '', $versao);
        if ($hook == 'toplevel_page_alt_group_setup') {
            wp_enqueue_script('custom-cbm2-js', plugin_dir_url('altimus') . '/altimus/assets/js/custom-cbm2.js', '', $versao, true);
        };


    }

    add_action('admin_enqueue_scripts', 'wpdocs_selectively_enqueue_admin_script');
}

/*
if(!function_exists('alt_get_image_size')) {
    function alt_get_image_size($name)
    {
        global $_wp_additional_image_sizes;

        if (isset($_wp_additional_image_sizes[$name]))
            return $_wp_additional_image_sizes[$name];

        return false;
    }
}
*/

require_once 'setup/database.php';
require_once 'setup/schema.php';
require_once 'setup/general.php';
require_once 'setup/midias_sociais.php';
require_once 'setup/cores.php';
require_once 'setup/config_whatsapp.php';
require_once 'setup/listagem.php';
require_once 'setup/detalhes_veiculo.php';

